Debian Bug report logs - #575648
Lots of udevd --daemon running 100% CPU all the time.

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: leonardo.favario@email.it

Date: Sat, 27 Mar 2010 22:12:01 UTC

Severity: normal

Found in versions 2.6.32-8, 2.6.32-9

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#575648; Package udev. (Sat, 27 Mar 2010 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to leonardo.favario@email.it:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 27 Mar 2010 22:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: leonardo.favario@email.it
To: submit@bugs.debian.org
Subject: Lots of udevd --daemon running 100% CPU all the time.
Date: Sat, 27 Mar 2010 22:45:42 +0100
[Message part 1 (text/plain, inline)]
Package: udev

Version: 151


Kernel Linux : 2.6.32-trunk-amd64

gcc version 4.3.4 (Debian 4.3.4-6)


System: ASUS UL50VG 

lspci | grep VGA:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07)

01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce G210M]
(rev a2)


Message:

Running htop I can see many udevd --daemon entries. Most of them are running
0.0% whilst the top two are runnin 90/100% of both cpus. If I stop the top
two they restart and reach the 100% again.

Same problem on lenny i386.


Running udevadm monitor --env I get tons of these messages:


UDEV  [1269726169.891378] change  
/devices/pci0000:00/0000:00:02.0/drm/card0 (drm)

UDEV_LOG=3

ACTION=change

DEVPATH=/devices/pci0000:00/0000:00:02.0/drm/card0

SUBSYSTEM=drm

HOTPLUG=1

DEVNAME=/dev/dri/card0

DEVTYPE=drm_minor

SEQNUM=355603

ACL_MANAGE=1

MAJOR=226

MINOR=0

DEVLINKS=/dev/char/226:0





 
 --
 Caselle da 1GB, trasmetti allegati fino a 3GB e in piu' IMAP, POP3 e SMTP
autenticato? GRATIS solo con Email.it: http://www.email.it/f
 
 Sponsor:
 Diventa protagonista su Libertadibanca.com e vinci premi mai visti prima!
Scopri come partecipare
 Clicca qui: http://adv.email.it/cgi-bin/foclick.cgi?mid=10280&d=20100327

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#575648; Package udev. (Sat, 27 Mar 2010 22:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 27 Mar 2010 22:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 575648@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: leonardo.favario@email.it, 575648@bugs.debian.org, debian-kernel@lists.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#575648: Lots of udevd --daemon running 100% CPU all the time.
Date: Sat, 27 Mar 2010 23:19:07 +0100
[Message part 1 (text/plain, inline)]
reassign 575648 linux-2.6
forcemerge 572537 575648
thanks

On Mar 27, leonardo.favario@email.it wrote:

> Running htop I can see many udevd --daemon entries. Most of them are running
> 0.0% whilst the top two are runnin 90/100% of both cpus. If I stop the top
> two they restart and reach the 100% again.
Kernel issue.
Please follow the instructions in #572537.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'udev' to 'linux-2.6'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 27 Mar 2010 22:21:08 GMT) Full text and rfc822 format available.

Forcibly Merged 572537 575648. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 27 Mar 2010 22:21:11 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=27941'. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sun, 02 May 2010 18:39:03 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=27941, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=25327' from 'https://bugs.freedesktop.org/show_bug.cgi?id=27941' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 05 Jul 2010 23:39:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 09 Aug 2010 16:38:10 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo and fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 22:30:07 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=27941' from 'https://bugs.freedesktop.org/show_bug.cgi?id=27941, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=25327' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 29 Mar 2012 16:42:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575648; Package linux-2.6. (Sat, 27 Oct 2012 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 27 Oct 2012 20:30:06 GMT) Full text and rfc822 format available.

Message #29 received at 575648@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: leonardo.favario@email.it
Cc: Marco d'Itri <md@Linux.IT>, 575648@bugs.debian.org
Subject: Re: Lots of udevd --daemon running 100% CPU all the time.
Date: Sat, 27 Oct 2012 13:26:12 -0700
unmerge 575648
notforwarded 575648
quit

Hi Leonardo,

In 2010, Marco d'Itri wrote:
> On Mar 27, leonardo.favario@email.it wrote:

>> Running htop I can see many udevd --daemon entries. Most of them are running
>> 0.0% whilst the top two are runnin 90/100% of both cpus. If I stop the top
>> two they restart and reach the 100% again.
[...]
> Running udevadm monitor --env I get tons of these messages:
>
> UDEV  [1269726169.891378] change  /devices/pci0000:00/0000:00:02.0/drm/card0 (drm)
[...]
> Kernel issue.

Sorry for the long silence.

It's possible this is <http://bugs.freedesktop.org/25327>, which is
said to have been fixed before 2.6.35.  Do you still have access to
this machine?  What kernel are you using these days, and how does it
behave?  Please also attach output from

	reportbug --template linux-image-$(uname -r)

for reference.

Sorry for the trouble, and hope that helps,
Jonathan



Disconnected #575648 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 27 Oct 2012 20:30:08 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 27 Oct 2012 20:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#575648; Package linux-2.6. (Mon, 12 Nov 2012 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Favario <leonardo.favario@email.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 12 Nov 2012 07:51:04 GMT) Full text and rfc822 format available.

Message #38 received at 575648@bugs.debian.org (full text, mbox):

From: Leonardo Favario <leonardo.favario@email.it>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Lots of udevd --daemon running 100% CPU all the time.
Date: Sun, 11 Nov 2012 13:48:07 +0100
Il 11/11/2012 10:40, Jonathan Nieder ha scritto:
> Leonardo Favario wrote:
>
>> I don't have this machine anymore but if I remember correctly the
>> problem was fixed starting from kernel 2.6.38.
> That's good to hear.  Do you mind if I forward this information to the
> bug log?
>

No problem, it's legit.

Thanks and have a good day

 
 
 --
 Caselle da 1GB, trasmetti allegati fino a 3GB e in piu' IMAP, POP3 e SMTP autenticato? GRATIS solo con Email.it http://www.email.it/f
 
 Sponsor:
 Su MisterCupido.com puoi creare REGALI PERSONALIZZATI. Stampa le tue Foto su: Cuscini, Tazze, Puzzle, Peluche, Magliette, Poster... Consegne in tutta Italia in soli 2-3 giorni
 Clicca qui: http://adv.email.it/cgi-bin/foclick.cgi?mid=12385&d=11-11



Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Wed, 05 Jun 2013 22:16:35 GMT) Full text and rfc822 format available.

Notification sent to leonardo.favario@email.it:
Bug acknowledged by developer. (Wed, 05 Jun 2013 22:16:35 GMT) Full text and rfc822 format available.

Message #43 received at 575648-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 575648-done@bugs.debian.org, 576003-done@bugs.debian.org, 576274-done@bugs.debian.org, 576408-done@bugs.debian.org, 576862-done@bugs.debian.org, 577199-done@bugs.debian.org, 577827-done@bugs.debian.org, 578063-done@bugs.debian.org
Subject: Closing
Date: Thu, 6 Jun 2013 00:13:24 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.0 / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Jul 2013 07:36:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:57:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.